//////////////////////////////////////////
// BCFEditor.cpp
//Copyright (c) 06/23/2002 by BCCSkelton
//////////////////////////////////////////
#include	"BCFEditor.h"
//☆ユーザーヘッダーを入れます
#include	"User.h"
#include	"BCFEditorProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//データファイル付きで起動する場合（ByFileフラグを立てる）
	if(arg.c() > 1) {
		ByFile = TRUE;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）"IDI_ICON", IDC_ARROW, Brush)
	//MDI Child WindowとMDI Frame Windowの登録−MDIFrameWndを
	//作成するので必ずMDIChildWndから登録する（クラスネームを残す）
	BCFEditor.Init("MDIChildWnd", hInstance, MDICHILDPROC, NULL,
				"IDI_ICON", IDC_CROSS, (HBRUSH)(COLOR_3DFACE + 1));
	BCFEditor.Init("MDIFrameWnd", hInstance, MDIPROC, "MAIN_MENU",
				"IDI_ICON", IDC_ARROW, (HBRUSH)(COLOR_3DSHADOW + 1));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!BCFEditor.Create("BCFEditor",
		WS_OVERLAPPEDWINDOW | WS_CLIPCHILDREN))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	BCFEditor.InclAccel("IDA_ACCEL");

	//メッセージループに入る（検索･置換ダイアログをモードレスダイアログで使う）
	return BCFEditor.Loop();
}
